#!/Perl

use Test::Harness qw(&runtests $verbose);
use strict;

while(@ARGV > 2) {
    my $arg = shift @ARGV;
    if ($arg eq '-d') {
        $verbose = 1;
    }
}

if (@ARGV < 2) {
    usage();
    exit(0);
}

sub usage {
    warn "Usage: xml_test.pl [-d] testscript xmlfile\n";
}

$ENV{XMLFILE} = $ARGV[1];

runtests $ARGV[0]; 

